Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.options
Class MailSignatureModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.options.OptionsModel
              portlets.compoze.groupware.model.options.MailSignatureModel

All Implemented Interfaces:
  java.io.Serializable

public class MailSignatureModel
extends OptionsModel
implements java.io.Serializable

This class represents the data model for the mail options general preferences page (`mail_general_preference.jsp`).

See Also:
  Serialized Form

Constructor Summary
`MailSignatureModel(Accounts accounts, portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, MailPreferences mailPrefs)` Constructor.

Method Summary
`MailPreferences` | `getMailPreferences()` Gets the mail preferences.

Methods inherited from class portlets.compoze.groupware.model.options.OptionsModel
`getOptionsGroup, getRequiredAccountName, isAccountRequired, isDeleteAccountAvailable, setIsAccountRequired, setRequiredAccountName`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailSignatureModel

    public MailSignatureModel(Accounts accounts,
                              portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                              FeatureGroup featureGroup,
                              GroupwarePreferences groupwarePrefs,
                              MailPreferences mailPrefs)

  Constructor.

Parameters:
  `accounts` - the accounts
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `mailPrefs` - the mail preferences (may not be `null`)

Method Detail

### getMailPreferences

    public MailPreferences getMailPreferences()

  Gets the mail preferences.

  Returns:
    the mail preferences

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.